com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<T,SingleSelect<T>,T,com.holonplatform.core.property.PropertyBox,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, BaseSelectInputBuilder.SingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, BaseSelectModeSinglePropertySelectInputBuilder<T,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, InputBuilder<T,SingleSelect<T>,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, InputConfigurator<T,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, PropertySelectInputBuilder<T,SingleSelect<T>,T,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, SelectInputBuilder<T,SingleSelect<T>,T,com.holonplatform.core.property.PropertyBox,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>, SinglePropertySelectInputBuilder<T,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeSinglePropertySelectInputBuilder<T,B extends BaseSelectModeSinglePropertySelectInputBuilder<T,B>>

      public static interface BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>
      extends BaseSelectModeSinglePropertySelectInputBuilder<T,BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>>

  A `SinglePropertySelectInputBuilder` for `RenderingMode#SELECT`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeSinglePropertySelectInputBuilder

      `BaseSelectModeSinglePropertySelectInputBuilder.NativeModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder.OptionsModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.SinglePropertySelectInputBuilder

      `SinglePropertySelectInputBuilder.GenericSinglePropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `captionQueryFilter(com.vaadin.server.SerializableFunction<String,com.holonplatform.core.query.QueryFilter> filterProvider)` Set the function to provide the `QueryFilter` to use with the data provider when user types a caption filter String.
    `BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `disableTextInput()` Disables the possibility to input text into the field, so the field area of the component is just used to show what is selected.
    `BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `inputPrompt(com.holonplatform.core.i18n.Localizable inputPrompt)` Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a `Localizable` message.
    `default BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `inputPrompt(String inputPrompt)` Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input.
    `default BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `inputPrompt(String defaultInputPrompt, String messageCode, Object... arguments)` Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a localizable `messageCode`.
    `BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `scrollToSelectedItem(boolean scrollToSelectedItem)` Sets whether to scroll the selected item visible (directly open the page on which it is) when opening the combo box popup or not.
    `BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>` | `suggestionPopupWidth(String width)` Sets the suggestion pop-up's width as a CSS string.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeSinglePropertySelectInputBuilder

      `emptySelectionAllowed, emptySelectionCaption, emptySelectionCaption, emptySelectionCaption`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertySelectInputBuilder

      `dataSource, dataSource, dataSource, itemConverter`

- - ### Method Detail

    - #### inputPrompt

          default BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> inputPrompt(String inputPrompt)

      Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input.

      The input prompt is available only in `RenderingMode#SELECT` mode.

      Parameters:
        `inputPrompt` - the input prompt to set, `null` for none
      Returns:
        this

    - #### inputPrompt

          default BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> inputPrompt(String defaultInputPrompt,
                                                                                                                           String messageCode,
                                                                                                                           Object... arguments)

      Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a localizable `messageCode`.

      For input prompt localization, a `LocalizationContext` must be available and localized as `Context` resource when component is built or when component is displayed if `InputBuilder.deferLocalization()` is `true`.

      The input prompt is available only in `RenderingMode#SELECT` mode.

      Parameters:
        `defaultInputPrompt` - Default message if no translation is available for given `messageCode` for current Locale.
        `messageCode` - Input prompt translation message key
        `arguments` - Optional translation arguments
      Returns:
        this

    - #### inputPrompt

          BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> inputPrompt(com.holonplatform.core.i18n.Localizable inputPrompt)

      Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a `Localizable` message.

      For input prompt localization, a `LocalizationContext` must be available and localized as `Context` resource when component is built or when component is displayed if `InputBuilder.deferLocalization()` is `true`.

      The input prompt is available only in `RenderingMode#SELECT` mode.

      Parameters:
        `inputPrompt` - Localizable input prompt
      Returns:
        this

    - #### disableTextInput

          BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> disableTextInput()

      Disables the possibility to input text into the field, so the field area of the component is just used to show what is selected. If the concrete select component does not support user input, this method has no effect.
      Returns:
        this

    - #### scrollToSelectedItem

          BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> scrollToSelectedItem(boolean scrollToSelectedItem)

      Sets whether to scroll the selected item visible (directly open the page on which it is) when opening the combo box popup or not. Only applies to select components with a suggestions popup. This requires finding the index of the item, which can be expensive in many large lazy loading containers.
      Parameters:
        `scrollToSelectedItem` - true to find the page with the selected item when opening the selection popup
      Returns:
        this

    - #### suggestionPopupWidth

          BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> suggestionPopupWidth(String width)

      Sets the suggestion pop-up's width as a CSS string. By using relative units (e.g. "50%") it's possible to set the popup's width relative to the selection component itself.

      Only applies to select field with backing components supporting a suggestion popup.

      Parameters:
        `width` - the suggestion pop-up width
      Returns:
        this

    - #### captionQueryFilter

          BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T> captionQueryFilter(com.vaadin.server.SerializableFunction<String,com.holonplatform.core.query.QueryFilter> filterProvider)

      Set the function to provide the `QueryFilter` to use with the data provider when user types a caption filter String.
      Parameters:
        `filterProvider` - caption `QueryFilter` provider
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.